<?php
/* Extend with new cases as needed for new editors */
$PATH = ""; // for prepending path
switch(EDITOR_VERSION)
	{
	case 'htmlarea':
		?>
		<script language="Javascript1.2">
		_editor_url = "<?php echo $PATH; ?>editor/htmlarea/";
		var win_ie_ver = parseFloat(navigator.appVersion.split("MSIE")[1]);
		if (navigator.userAgent.indexOf('Mac')        >= 0) { win_ie_ver = 0; }
		if (navigator.userAgent.indexOf('Windows CE') >= 0) { win_ie_ver = 0; }
		if (navigator.userAgent.indexOf('Opera')      >= 0) { win_ie_ver = 0; }
		if (win_ie_ver >= 5.5) {
		document.write('<scr' + 'ipt src="' +_editor_url+ 'editor.js"');
		document.write(' language="Javascript1.2"></scr' + 'ipt>');
		} else { document.write('<scr'+'ipt>function editor_generate() { return false; }</scr'+'ipt>'); }
		</script>
		<?php
	break;
	case 'tinymce':
		?>
		<script language="javascript" type="text/javascript" src="<?php echo $PATH; ?>editor/tinymce/jscripts/tiny_mce/tiny_mce_src.js"></script>
		<script language="javascript" type="text/javascript">
				tinyMCE.init({
						theme : "advanced",
						mode : "exact",
						elements : "content",
						content_css : "editor/tinymce/tinymce.css",
						extended_valid_elements : "a[href|target|name]",
						theme_advanced_styles : "Header 1=header1;Header 2=header2;Header 3=header3",
						debug : false
				});

				function customInsertLink(href, target) {
						var result = new Array();																										alert("customInsertLink called href: " + href + " target: " + target);
						result['href'] = "";
						result['target'] = '_blank';																									return result;
				}
				function customInsertImage(src, alt, border, hspace, vspace, width, height, align) {
						var result = new Array();
						var debug = "CustomInsertImage called:\n"
						debug += "src: " + src + "\n";
						debug += "alt: " + alt + "\n";
						debug += "border: " + border + "\n";
						debug += "hspace: " + hspace + "\n";
						debug += "vspace: " + vspace + "\n";
						debug += "width: " + width + "\n";
						debug += "height: " + height + "\n";
						debug += "align: " + align + "\n";
						alert(debug);
						result['src'] = "logo.jpg";
						result['alt'] = "test description";
						result['border'] = "2";
						result['hspace'] = "5";
						result['vspace'] = "5";
						result['width'] = width;
						result['height'] = height;
						result['align'] = "right";
						return result;
				}
				function customSave(id, content) {
						alert(id + "=" + content);
				}
		</script>
		<?php
	break;
	case 'xinha':
		?>
		<script type="text/javascript">
    					_editor_url  = "<?php echo $PATH; ?>editor/xinha/"  // (preferably absolute) URL (including trailing slash) where Xinha is installed
    	//				_editor_lang = "en";      // And the language we need to use in the editor.
    	//				_editor_skin = "silva";   // If you want use a skin, add the name (of the folder) here
  		</script>
  		<script type="text/javascript" src="<?php echo $PATH; ?>editor/xinha/XinhaCore.js"></script>
		<script type="text/javascript">
		xinha_editors = null;
xinha_init    = null;
xinha_config  = null;
xinha_plugins = null;

// This contains the names of textareas we will make into Xinha editors
xinha_init = xinha_init ? xinha_init : function()
{
   /** STEP 1 ***************************************************************
   * First, specify the textareas that shall be turned into Xinhas.
   * For each one add the respective id to the xinha_editors array.
   * I you want add more than on textarea, keep in mind that these
   * values are comma seperated BUT there is no comma after the last value.
   * If you are going to use this configuration on several pages with different
   * textarea ids, you can add them all. The ones that are not found on the
   * current page will just be skipped.
   ************************************************************************/

  xinha_editors = xinha_editors ? xinha_editors :
  [
    'myTextArea', 'content'
  ];

  /** STEP 2 ***************************************************************
   * Now, what are the plugins you will be using in the editors on this
   * page.  List all the plugins you will need, even if not all the editors
   * will use all the plugins.
   *
   * The list of plugins below is a good starting point, but if you prefer
   * a simpler editor to start with then you can use the following
   *
   * xinha_plugins = xinha_plugins ? xinha_plugins : [ ];
   *
   * which will load no extra plugins at all.
   ************************************************************************/

  xinha_plugins = xinha_plugins ? xinha_plugins :
  [
   'CharacterMap',
   'ContextMenu',
   'ListType',
   'Stylist',
   'Linker',
   'SuperClean',
   'TableOperations'

  ];

         // THIS BIT OF JAVASCRIPT LOADS THE PLUGINS, NO TOUCHING  :)
         if(!Xinha.loadPlugins(xinha_plugins, xinha_init)) return;


  /** STEP 3 ***************************************************************
   * We create a default configuration to be used by all the editors.
   * If you wish to configure some of the editors differently this will be
   * done in step 5.
   *
   * If you want to modify the default config you might do something like this.
   *
   *   xinha_config = new Xinha.Config();
   *   xinha_config.width  = '640px';
   *   xinha_config.height = '420px';
   *
   *************************************************************************/

   xinha_config = xinha_config ? xinha_config() : new Xinha.Config();


   // To adjust the styling inside the editor, we can load an external stylesheet like this
   // NOTE : YOU MUST GIVE AN ABSOLUTE URL

   xinha_config.pageStyleSheets = [ _editor_url + "examples/full_example.css" ];

  /** STEP 4 ***************************************************************
   * We first create editors for the textareas.
   *
   * You can do this in two ways, either
   *
   *   xinha_editors   = Xinha.makeEditors(xinha_editors, xinha_config, xinha_plugins);
   *
   * if you want all the editor objects to use the same set of plugins, OR;
   *
   *   xinha_editors = Xinha.makeEditors(xinha_editors, xinha_config);
   *   xinha_editors.myTextArea.registerPlugins(['Stylist']);
   *   xinha_editors.anotherOne.registerPlugins(['CSS','SuperClean']);
   *
   * if you want to use a different set of plugins for one or more of the
   * editors.
   ************************************************************************/

  xinha_editors   = Xinha.makeEditors(xinha_editors, xinha_config, xinha_plugins);

  /** STEP 5 ***************************************************************
   * If you want to change the configuration variables of any of the
   * editors,  this is the place to do that, for example you might want to
   * change the width and height of one of the editors, like this...
   *
   *   xinha_editors.myTextArea.config.width  = '640px';
   *   xinha_editors.myTextArea.config.height = '480px';
   *
   ************************************************************************/


  /** STEP 6 ***************************************************************
   * Finally we "start" the editors, this turns the textareas into
   * Xinha editors.
   ************************************************************************/

  Xinha.startEditors(xinha_editors);
}

Xinha._addEvent(window,'load', xinha_init); // this executes the xinha_init function on page load
                                            // and does not interfere with window.onload properties set by other scripts

		</script>
		<?php
	break;
	}
?>