<?php

	define("MODULE_NAME","Poll_1.0.0");	
	define("TABLE_QUESTIONS",TABLE_PREFIX."mod_poll");		
	define("TABLE_LOG",TABLE_PREFIX."mod_poll_log");		
	define("POLL_VOTE",0);
	define("POLL_VIEW",1);

	class Module {

		function Poll_View ()
			{
			global $IW;
			$sql="select * from ".TABLE_QUESTIONS;
			$sql.=" where status='1'  ";
			$sql.="order by date_added desc";
			$result=$IW->DB_Query($sql);
			for($i=0;$i<$IW->DB_countResult($result);$i++)
				{
				if(!$this->Poll_Expired($IW->DB_Result($result,$i,"date_expire")))
					{
					if(!$this->Poll_AlreadyVoted ($IW->DB_Result($result,$i,'id')))
						{
						$action=$_SERVER['PHP_SELF']."?D=".$_REQUEST['D']."&vote=1";
						$action.="&id=".$IW->DB_Result($result,$i,'id');
						echo "<form method=\"post\" action=\"".$action."\">\n";
						echo "<p>".$IW->DB_Result($result,$i,'question')."</p>\n";
						$option_0=$IW->DB_Result($result,$i,"option_0");
						$option_1=$IW->DB_Result($result,$i,"option_1");
						$option_2=$IW->DB_Result($result,$i,"option_2");
						$option_3=$IW->DB_Result($result,$i,"option_3");
						$option_4=$IW->DB_Result($result,$i,"option_4");
						echo "<dir>\n";
						if(!empty($option_0))
							{echo "<input type=\"radio\" name=\"choice\" value=\"0\" checked=\"checked\" />".$option_0."<br />";}
						if(!empty($option_1))
							{echo "<input type=\"radio\" name=\"choice\" value=\"1\" />".$option_1."<br />";}
						if(!empty($option_2))
							{echo "<input type=\"radio\" name=\"choice\" value=\"2\" />".$option_2."<br />";}
						if(!empty($option_3))
							{echo "<input type=\"radio\" name=\"choice\" value=\"3\" />".$option_3."<br />";}
						if(!empty($option_4))
							{echo "<input type=\"radio\" name=\"choice\" value=\"4\" />".$option_4."<br />";}
						echo "</dir>\n";
						echo "<input type=\"submit\" value=\"".MODC_0."\" />\n";
						echo "</form>\n";
						}
					else
						{
						$this->Poll_Stats ($IW->DB_Result($result,$i,'id'));
						}
					}
				}
			$IW->DB_FreeResult($result);
			}

		function Poll_Vote ($id)
			{
			global $IW;
			$choice=$_REQUEST['choice'];
			$result=$IW->DB_Query("select score_".$choice." from ".TABLE_QUESTIONS." where id='".$id."' limit 1");
			$score=$IW->DB_Result($result,0,'score_'.$choice);
			$IW->DB_FreeResult($result);
			$score++;
			$IW->DB_Query("update ".TABLE_QUESTIONS." set score_".$choice."='".$score."' where id='".$id."' limit 1");
			$IW->DB_query("insert into ".TABLE_LOG." (poll_id,date_voted,ip) values ('".$id."','".strtotime(date(DATE_FORMAT))."','".$_SERVER['REMOTE_ADDR']."')");
			$this->Poll_Stats($id);
			}

		function Poll_AlreadyVoted ($id)
			{
			global $IW;
			$result=$IW->DB_Query("select id from ".TABLE_LOG." where poll_id='".$id."' and ip='".$_SERVER['REMOTE_ADDR']."' limit 1");
			$count=$IW->DB_CountResult($result);
			$IW->DB_FreeResult($result);
			if($count>0){return TRUE;}
			else{return FALSE;}
			}

		function Poll_Stats ($id)
			{
			global $IW;
			$result=$IW->DB_Query("select * from ".TABLE_QUESTIONS." where id='".$id."' limit 1");	
			$option_0=$IW->DB_Result($result,0,"option_0");
			$option_1=$IW->DB_Result($result,0,"option_1");
			$option_2=$IW->DB_Result($result,0,"option_2");
			$option_3=$IW->DB_Result($result,0,"option_3");
			$option_4=$IW->DB_Result($result,0,"option_4");			
			echo "<p>".$IW->DB_Result($result,0,'question')."</p>\n";
			echo "<dir>\n";
			if(!empty($option_0)){echo $option_0." - ".$this->Poll_Score($id,0)." %<br />";}
			if(!empty($option_1)){echo $option_1." - ".$this->Poll_Score($id,1)." %<br />";}
			if(!empty($option_2)){echo $option_2." - ".$this->Poll_Score($id,2)." %<br />";}
			if(!empty($option_3)){echo $option_3." - ".$this->Poll_Score($id,3)." %<br />";}
			if(!empty($option_4)){echo $option_4." - ".$this->Poll_Score($id,4)." %<br />";}
			echo "</dir>\n";
			$IW->DB_FreeResult($result);
			}

		function Poll_Expired ($date_expire)
			{
			if($date_expire < strtotime(date(DATE_FORMAT))){return TRUE;}
			else{return FALSE;}
			}

		function Poll_Score ($id,$option_no)
			{
			global $IW;
			$result=$IW->DB_Query("select * from ".TABLE_QUESTIONS." where id='".$id."' limit 1");
			$option_0=$IW->DB_Result($result,0,"option_0");
			$option_1=$IW->DB_Result($result,0,"option_1");
			$option_2=$IW->DB_Result($result,0,"option_2");
			$option_3=$IW->DB_Result($result,0,"option_3");
			$option_4=$IW->DB_Result($result,0,"option_4");
			$score_0=$IW->DB_Result($result,0,"score_0");
			$score_1=$IW->DB_Result($result,0,"score_1");
			$score_2=$IW->DB_Result($result,0,"score_2");
			$score_3=$IW->DB_Result($result,0,"score_3");
			$score_4=$IW->DB_Result($result,0,"score_4");	
			$score=$IW->DB_Result($result,0,"score_".$option_no);			
			$IW->DB_FreeResult($result);
			$total_score=0;
			if(!empty($option_0)){$total_score=($total_score+$score_0);}
			if(!empty($option_1)){$total_score=($total_score+$score_1);}
			if(!empty($option_2)){$total_score=($total_score+$score_2);}
			if(!empty($option_3)){$total_score=($total_score+$score_3);}
			if(!empty($option_4)){$total_score=($total_score+$score_4);}
			if($score<1)
				{return '0';}
			else
				{
				$percentage=round((($score / $total_score)*100),2);		
				return $percentage;
				}
			}

		// end class
		}

	$Mod = new Module ();

	if(isset($_REQUEST['vote'])&&$_REQUEST['vote']==1)
		{$Mod->Poll_Vote($_REQUEST['id']);}
	else
		{$Mod->Poll_View();}
?>