<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>iWare Professional Installer</title>
<script language="JavaScript">
	function Confirm_Inst_Cancel()
		{if(window.confirm('Cancel The Installation Process ?')){alert('Installation Cancelled');window.close ();}}
</script>
<link rel="stylesheet" href="../global.css"></link>
</head>
<body>
<center>
<table width="600" cellpadding="5" cellspacing="0" style="border:1px solid #000000">
<tr>
<td width="200" valign="top" bgcolor="#e4e4e4" align="center" style="border-right:1px solid #c0c0c0">
<img src="../images/iware_login.jpg" width="200" height="200" border="1"><br /><br />
</td>
<td width="400" valign="top" bgcolor="#f5f5f5">
<?php

	function Install_Form_Open ($target_pg,$onsubmit='')
		{
		echo "<form method=\"post\" action=\"".$_SERVER['PHP_SELF']."?inst_pg=".$target_pg."\" onSubmit=\"".$onsubmit."\">\n";
		}

	function Install_Form_Close ()
		{echo "</form>\n";}

	function Install_Form_Buttons ()
		{
		echo "<table width=\"100%\">\n";
		echo "<tr>\n";
		echo "<td align=\"left\"><input type=\"button\" value=\"Cancel\" onClick=\"javascript:Confirm_Inst_Cancel()\" class=\"UI_Button\" /></td>\n";
		echo "<td align=\"right\"><input type=\"submit\" value=\"Next   \" class=\"UI_Submit\" /></td>\n";
		echo "</tr>\n";
		echo "</table>\n";
		}

	function Install_Form_Rollback ()
		{
		echo "<table width=\"100%\">\n";
		echo "<tr>\n";
		echo "<td align=\"left\"><input type=\"button\" value=\"Cancel\" onClick=\"javascript:Confirm_Inst_Cancel()\"  class=\"UI_Button\" /></td>\n";
		echo "<td align=\"right\"><input type=\"submit\" value=\"   Back\"  class=\"UI_Submit\" /></td>\n";
		echo "</tr>\n";
		echo "</table>\n";
		}

	define("INSTALL_VERSION","5.0.4");

	define("INST_DEFAULT",0);
	define("INST_LICENSE",1);
	define("INST_SYSTEM",2);
	define("INST_DATABASE",3);
	define("INST_LANGUAGE",4);
	define("INST_MAIL",6);
	define("INST_EDITOR",7);
	define("INST_UPGRADE",8);
	define("INST_INSTALL",9);
	define("INST_LOGIN",10);

	if(!isset($_REQUEST['inst_pg']))
		{$_REQUEST['inst_pg']=INST_DEFAULT;}

	switch($_REQUEST['inst_pg'])
		{
		/* Default Installation Wizard Screen */
		case INST_DEFAULT:
			Install_Form_Open (INST_LICENSE,'');
			echo "<p>Welcome to the Iware Professional Installation Wizard. This web based installer will help you to install iWare Professional on your web server. To continue with the installation process click the Next button below.</p>\n";
			echo "<p>If you need help performing the installation, please refer to the included <a href=\"../docs/installguide.htm\" target=\"_blank\">installation guide</a> located in the admin/docs/ directory of the installation package.</p>\n";
			Install_Form_Buttons ();
			Install_Form_Close ();
		break;
		/* software License Agreement */
		case INST_LICENSE:
			Install_Form_Open (INST_SYSTEM,'');
			echo "<table>\n";
			echo "<tr>\n<td colspan=\"2\"><b>Software License Agreement</b></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\"><textarea name=\"SLA\" rows=\"12\" cols=\"40\" class=\"UI_TextArea\" style=\"width:100%;\">\n";
			$fp=@fopen('../docs/License.txt','r');
			echo @fread($fp,filesize('../docs/License.txt'));
			@fclose($fp);
			echo "</textarea></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\">\n";
			echo "<input type=\"radio\" name=\"SLA_Agree\" value=\"1\" /> ";
			echo "I Agree and Accept the terms of the license agreement.<br />\n";
			echo "<input type=\"radio\" name=\"SLA_Agree\" value=\"0\" checked=\"checked\" /> ";
			echo "I Disagree with the terms of the license agreement.<br />\n";
			echo "</td>\n</tr>\n";
			echo "</table>\n";
			Install_Form_Buttons ();
			Install_Form_Close ();
		break;
		/* System Requirements & Directory Permissions Check */
		case INST_SYSTEM:
			$SLA_Agree=$_REQUEST['SLA_Agree'];
			if($SLA_Agree!=1)
				{
				echo "<font size=\"5\" color=\"#3366CC\">Error</font><br />\n";
				echo "You must accept the terms of the software license agreement in order to install and use this software.";
				Install_Form_Open (INST_LICENSE,'');
				Install_Form_Rollback ();
				Install_Form_Close ();
				}
			else
				{
				Install_Form_Open (INST_DATABASE,'');
				echo "<table>\n";
				echo "<tr>\n<td colspan=\"2\"><b>System Information</b></td>\n</tr>\n";
				echo "<tr>\n<td colspan=\"2\">Listed below are the software versions for PHP and MySQL for your web server. It is recommended that you refer to the included <a href=\"../docs/Install.html\" target=\"_blank\">installation guide</a> to ensure that your web serving platform meets the minimum system requirements suggested for the software.<br /><br /></td>\n</tr>\n";
				echo "<tr>\n<td>PHP Version</td>\n";
				echo "<td>".phpversion ()."</td>\n</tr>\n";
				echo "<tr>\n<td>MySQL Version</td>\n";
				echo "<td>".@mysql_get_server_info ()."</td>\n</tr>\n";
				echo "</table><br/><br />\n";
				Install_Form_Buttons ();
				Install_Form_Close ();
				}
		break;
		/* Database & Table Configuration & Testing */
		case INST_DATABASE:
			Install_Form_Open (INST_LANGUAGE,'Validate_Inst_Database()');
			echo "<table>\n";
			echo "<tr>\n<td colspan=\"2\"><b>Database Connection Settings</b></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\">Enter the required database connection information below to allow the installation process to create tables in the specified database. </td>\n</tr>\n";
			echo "<tr>\n<td>Hostname</td>\n";
			echo "<td><input type=\"text\" name=\"DB_Hostname\" value=\"localhost\" /></td>\n</tr>\n";
			echo "<tr>\n<td>Username</td>\n";
			echo "<td><input type=\"text\" name=\"DB_Username\" value=\"\" /></td>\n</tr>\n";
			echo "<tr>\n<td>Password</td>\n";
			echo "<td><input type=\"text\" name=\"DB_Password\" value=\"\" /></td>\n</tr>\n";
			echo "<tr>\n<td>Database</td>\n";
			echo "<td><input type=\"text\" name=\"DB_Database\" value=\"iware\" /></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\"><br /><br /><b>Database Table Options</b></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\">The installation process can prefix the created database tables specified below with some text to allow you to install multiple copies of this software in a single database. If you do not wish to prefix the tables then do not enter anything below.  </td>\n</tr>\n";
			echo "<tr>\n<td>Table Name Prefix</td>\n";
			echo "<td><input type=\"text\" name=\"TB_Prefix\" value=\"iware_\" /></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\"><br /><br /><b>Database Table Names</b></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\">The installation process will create / use the following tables in the specified database. If you need to change any of these table names do so now, otherwise simply use the defaults. </td>\n</tr>\n";
			echo "<tr>\n<td>Layout Table</td>\n";
			echo "<td><input type=\"text\" name=\"TB_Layout\" value=\"layout\" /></td>\n</tr>\n";
			echo "<tr>\n<td>Users Table</td>\n";
			echo "<td><input type=\"text\" name=\"TB_Users\" value=\"users\" /></td>\n</tr>\n";
			echo "<tr>\n<td>Groups Table</td>\n";
			echo "<td><input type=\"text\" name=\"TB_Groups\" value=\"groups\" /></td>\n</tr>\n";
			echo "<tr>\n<td>Docs Table</td>\n";
			echo "<td><input type=\"text\" name=\"TB_Docs\" value=\"docs\" /></td>\n</tr>\n";
			echo "</table><br /><br />\n";
			Install_Form_Buttons ();
			Install_Form_Close ();
		break;
		/* Default Language, Charset, Dat Format, & Time Format */
		case INST_LANGUAGE:
			$DB_Hostname=$_REQUEST['DB_Hostname'];
			$DB_Username=$_REQUEST['DB_Username'];
			$DB_Password=$_REQUEST['DB_Password'];
			$DB_Database=$_REQUEST['DB_Database'];
			$TB_Prefix=$_REQUEST['TB_Prefix'];
			$TB_Layout=$_REQUEST['TB_Layout'];
			$TB_Users=$_REQUEST['TB_Users'];
			$TB_Groups=$_REQUEST['TB_Groups'];
			$TB_Docs=$_REQUEST['TB_Docs'];
			// Test Database Connectivity
			$test = @mysql_connect ($DB_Hostname,$DB_Username,$DB_Password);
			if(!$test)
				{
				echo "<font size=\"5\" color=\"#3366CC\">Error</font><br />\n";
				echo "A database connection could not be established using the settings you have provided.";
				Install_Form_Open (INST_DATABASE,'');
				Install_Form_Rollback ();
				Install_Form_Close ();
				}
			else
				{
				// Test Datbase Selection
				$test = @mysql_select_db ($DB_Database);
				if(!$test)
					{
					echo "<font size=\"5\" color=\"#3366CC\">Error</font><br />\n";
					echo "The database could not be selected using the database name you have provided.";
					Install_Form_Open (INST_DATABASE,'');
					Install_Form_Rollback ();
					Install_Form_Close ();
					}
				else
					{
					Install_Form_Open (INST_MAIL,'Validate_Inst_Language()');
					echo "<input type=\"hidden\" name=\"DB_Hostname\" value=\"".$DB_Hostname."\" />\n";
					echo "<input type=\"hidden\" name=\"DB_Username\" value=\"".$DB_Username."\" />\n";
					echo "<input type=\"hidden\" name=\"DB_Password\" value=\"".$DB_Password."\" />\n";
					echo "<input type=\"hidden\" name=\"DB_Database\" value=\"".$DB_Database."\" />\n";
					echo "<input type=\"hidden\" name=\"TB_Prefix\" value=\"".$TB_Prefix."\" />\n";
					echo "<input type=\"hidden\" name=\"TB_Layout\" value=\"".$TB_Layout."\" />\n";
					echo "<input type=\"hidden\" name=\"TB_Users\" value=\"".$TB_Users."\" />\n";
					echo "<input type=\"hidden\" name=\"TB_Groups\" value=\"".$TB_Groups."\" />\n";
					echo "<input type=\"hidden\" name=\"TB_Docs\" value=\"".$TB_Docs."\" />\n";
					echo "<table>\n";
					echo "<tr>\n<td colspan=\"2\"><b>Language Settings</b></td>\n</tr>\n";
					echo "<tr>\n<td colspan=\"2\">Select the language used to display within the control panel interface. * Note that if multi-language support has not yet been extended to any installed modules, then the default US_ENGLISH will be used for those modules. </td>\n</tr>\n";
					echo "<tr>\n<td>Default Language</td>\n";
					echo "<td><select name=\"Language\" size=\"1\">\n";
					if ($handle = @opendir('../lang/'))
						{
						while (false !== ($file = @readdir($handle)))
							{
							if ($file != "." && $file != "..")
								{echo "<option value=\"".$file."\">".$file."</option>\n";}
							}
						@closedir($handle);
						}
					echo "</select>\n</td>\n</tr>\n";
					echo "<tr>\n<td>Charachter Set</td>\n";
					echo "<td><input type=\"text\" name=\"Charset\" value=\"ISO-8859-1\" /></td>\n</tr>\n";
					echo "<tr>\n<td colspan=\"2\"><br /><br /><b>Date & Time Format Settings</b></td>\n</tr>\n";
					echo "<tr>\n<td colspan=\"2\">Specify the format to be used for handling date and time within the software. Formats should be entered according to PHP's specification for the date () function. You can view the specification in the PHP documentation available at the <a href=\"http://www.php.net\" target=\"_blank\">official PHP web site</a>.</td>\n</tr>\n";
					echo "<tr>\n<td>Date Format</td>\n";
					echo "<td><input type=\"text\" name=\"Date_Format\" value=\"m/d/Y\" /></td>\n</tr>\n";
					echo "<tr>\n<td>Time Format</td>\n";
					echo "<td><input type=\"text\" name=\"Time_Format\" value=\"h:i:s\" /></td>\n</tr>\n";
					echo "</table><br /><br />\n";
					Install_Form_Buttons ();
					Install_Form_Close ();
					}
				}
		break;
		/* Default Mail Handling */
		case INST_MAIL:
			$DB_Hostname=$_REQUEST['DB_Hostname'];
			$DB_Username=$_REQUEST['DB_Username'];
			$DB_Password=$_REQUEST['DB_Password'];
			$DB_Database=$_REQUEST['DB_Database'];
			$TB_Prefix=$_REQUEST['TB_Prefix'];
			$TB_Layout=$_REQUEST['TB_Layout'];
			$TB_Users=$_REQUEST['TB_Users'];
			$TB_Groups=$_REQUEST['TB_Groups'];
			$TB_Docs=$_REQUEST['TB_Docs'];
			$Language=$_REQUEST['Language'];
			$Charset=$_REQUEST['Charset'];
			$Date_Format=$_REQUEST['Date_Format'];
			$Time_Format=$_REQUEST['Time_Format'];
			Install_Form_Open (INST_EDITOR,'Validate_Inst_Mail()');
			echo "<input type=\"hidden\" name=\"DB_Hostname\" value=\"".$DB_Hostname."\" />\n";
			echo "<input type=\"hidden\" name=\"DB_Username\" value=\"".$DB_Username."\" />\n";
			echo "<input type=\"hidden\" name=\"DB_Password\" value=\"".$DB_Password."\" />\n";
			echo "<input type=\"hidden\" name=\"DB_Database\" value=\"".$DB_Database."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Prefix\" value=\"".$TB_Prefix."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Layout\" value=\"".$TB_Layout."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Users\" value=\"".$TB_Users."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Groups\" value=\"".$TB_Groups."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Docs\" value=\"".$TB_Docs."\" />\n";
			echo "<input type=\"hidden\" name=\"Language\" value=\"".$Language."\" />\n";
			echo "<input type=\"hidden\" name=\"Charset\" value=\"".$Charset."\" />\n";
			echo "<input type=\"hidden\" name=\"Date_Format\" value=\"".$Date_Format."\" />\n";
			echo "<input type=\"hidden\" name=\"Time_Format\" value=\"".$Time_Format."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Docs\" value=\"".$TB_Docs."\" />\n";
			echo "<table>\n";
			echo "<tr>\n<td colspan=\"2\"><b>Mail Handling Settings</b></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\">Specify the mail handling application for your platform. When using Linux, UNIX, or another variant it is assumed that Sendmail will be used as the default mail handling application. Users using Windows (Win32) platforms can specify their outbound mail server in the SMTP address field below.</td>\n</tr>\n";
			echo "<tr>\n<td>Mail Handler</td>\n";
			echo "<td><select name=\"Mail_Handler\" size=\"1\">\n";
			echo "<option value=\"Linux\">Linux, UNIX (Sendmail)</option>\n";
			echo "<option value=\"Win32\">Win32 Platform (SMTP)</option>\n";
			echo "</select>\n</td>\n</tr>\n";
			echo "<tr>\n<td>SMTP Address</td>\n";
			echo "<td><input type=\"text\" name=\"Mail_SMTP\" value=\"0.0.0.0\" /></td>\n</tr>\n";
			echo "</table><br /><br />\n";
			Install_Form_Buttons ();
			Install_Form_Close ();
		break;
		/* Default WYSIWYG Editor */
		case INST_EDITOR:
			$DB_Hostname=$_REQUEST['DB_Hostname'];
			$DB_Username=$_REQUEST['DB_Username'];
			$DB_Password=$_REQUEST['DB_Password'];
			$DB_Database=$_REQUEST['DB_Database'];
			$TB_Prefix=$_REQUEST['TB_Prefix'];
			$TB_Layout=$_REQUEST['TB_Layout'];
			$TB_Users=$_REQUEST['TB_Users'];
			$TB_Groups=$_REQUEST['TB_Groups'];
			$TB_Docs=$_REQUEST['TB_Docs'];
			$Language=$_REQUEST['Language'];
			$Charset=$_REQUEST['Charset'];
			$Date_Format=$_REQUEST['Date_Format'];
			$Time_Format=$_REQUEST['Time_Format'];
			$Mail_Handler=$_REQUEST['Mail_Handler'];
			$Mail_SMTP=$_REQUEST['Mail_SMTP'];
			Install_Form_Open (INST_UPGRADE,'');
			echo "<input type=\"hidden\" name=\"DB_Hostname\" value=\"".$DB_Hostname."\" />\n";
			echo "<input type=\"hidden\" name=\"DB_Username\" value=\"".$DB_Username."\" />\n";
			echo "<input type=\"hidden\" name=\"DB_Password\" value=\"".$DB_Password."\" />\n";
			echo "<input type=\"hidden\" name=\"DB_Database\" value=\"".$DB_Database."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Prefix\" value=\"".$TB_Prefix."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Layout\" value=\"".$TB_Layout."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Users\" value=\"".$TB_Users."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Groups\" value=\"".$TB_Groups."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Docs\" value=\"".$TB_Docs."\" />\n";
			echo "<input type=\"hidden\" name=\"Language\" value=\"".$Language."\" />\n";
			echo "<input type=\"hidden\" name=\"Charset\" value=\"".$Charset."\" />\n";
			echo "<input type=\"hidden\" name=\"Date_Format\" value=\"".$Date_Format."\" />\n";
			echo "<input type=\"hidden\" name=\"Time_Format\" value=\"".$Time_Format."\" />\n";
			echo "<input type=\"hidden\" name=\"Mail_Handler\" value=\"".$Mail_Handler."\" />\n";
			echo "<input type=\"hidden\" name=\"Mail_SMTP\" value=\"".$Mail_SMTP."\" />\n";
			echo "<table>\n";
			echo "<tr>\n<td colspan=\"2\"><b>Default WYSIWYG Editor</b></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\">Specify the WYSIWYG editor to use when authoring or modifying content within your web site. Different editors allow specific advantages, for example: HTMLArea is a Internet Explorer specific editor with better image embedding support, while TinyMCE is supported under both Internet Explorer and Mozilla browsers and has better HTML Table support. Users that are using a  browser that will not support either of the included editors will be presented with a text mode interface for backwards compatibility.</td>\n</tr>\n";
			echo "<tr>\n<td>Editor Version</td>\n";
			echo "<td><select name=\"Editor\" size=\"1\">\n";
			if ($handle = @opendir('../editor/'))
				{
				while (false !== ($file = @readdir($handle)))
					{
					if ($file != "." && $file != "..")
						{echo "<option value=\"".$file."\">".$file."</option>\n";}
					}
				@closedir($handle);
				}
			echo "</select>\n</td>\n</tr>\n";
			echo "</table><br /><br />\n";
			Install_Form_Buttons ();
			Install_Form_Close ();
		break;
		/* Upgrade Option For Config File Re-write Only */
		case INST_UPGRADE:
			$DB_Hostname=$_REQUEST['DB_Hostname'];
			$DB_Username=$_REQUEST['DB_Username'];
			$DB_Password=$_REQUEST['DB_Password'];
			$DB_Database=$_REQUEST['DB_Database'];
			$TB_Prefix=$_REQUEST['TB_Prefix'];
			$TB_Layout=$_REQUEST['TB_Layout'];
			$TB_Users=$_REQUEST['TB_Users'];
			$TB_Groups=$_REQUEST['TB_Groups'];
			$TB_Docs=$_REQUEST['TB_Docs'];
			$Language=$_REQUEST['Language'];
			$Charset=$_REQUEST['Charset'];
			$Date_Format=$_REQUEST['Date_Format'];
			$Time_Format=$_REQUEST['Time_Format'];
			$Mail_Handler=$_REQUEST['Mail_Handler'];
			$Mail_SMTP=$_REQUEST['Mail_SMTP'];
			$Editor=$_REQUEST['Editor'];
			Install_Form_Open (INST_INSTALL,'Validate_Inst_Upgrade()');
			echo "<input type=\"hidden\" name=\"DB_Hostname\" value=\"".$DB_Hostname."\" />\n";
			echo "<input type=\"hidden\" name=\"DB_Username\" value=\"".$DB_Username."\" />\n";
			echo "<input type=\"hidden\" name=\"DB_Password\" value=\"".$DB_Password."\" />\n";
			echo "<input type=\"hidden\" name=\"DB_Database\" value=\"".$DB_Database."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Prefix\" value=\"".$TB_Prefix."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Layout\" value=\"".$TB_Layout."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Users\" value=\"".$TB_Users."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Groups\" value=\"".$TB_Groups."\" />\n";
			echo "<input type=\"hidden\" name=\"TB_Docs\" value=\"".$TB_Docs."\" />\n";
			echo "<input type=\"hidden\" name=\"Language\" value=\"".$Language."\" />\n";
			echo "<input type=\"hidden\" name=\"Charset\" value=\"".$Charset."\" />\n";
			echo "<input type=\"hidden\" name=\"Date_Format\" value=\"".$Date_Format."\" />\n";
			echo "<input type=\"hidden\" name=\"Time_Format\" value=\"".$Time_Format."\" />\n";
			echo "<input type=\"hidden\" name=\"Mail_Handler\" value=\"".$Mail_Handler."\" />\n";
			echo "<input type=\"hidden\" name=\"Mail_SMTP\" value=\"".$Mail_SMTP."\" />\n";
			echo "<input type=\"hidden\" name=\"Editor\" value=\"".$Editor."\" />\n";
			echo "<table>\n";
			echo "<tr>\n<td colspan=\"2\"><b>Install Type</b></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\">The installation process can opt to leave your existing database in-tact in the event you are performing an upgrade of iWare Professional. If you wish to leave our existing database unchanged select the \"UPGRADE\" option below, otherwise select the \"FULL INSTALL\" option to continue with a normal installation.<br /><br /></td>\n</tr>\n";
			echo "<tr>\n<td colspan=\"2\">\n";
			echo "<input type=\"radio\" name=\"Install_Type\" value=\"NORMAL\" checked=\"checked\" /> ";
			echo "FULL INSTALL<br />\n";
			echo "<input type=\"radio\" name=\"Install_Type\" value=\"UPGRADE\" /> ";
			echo "UPGRADE<br />\n";
			echo "</td>\n</tr>\n";
			echo "</table><br /><br />\n";
			Install_Form_Buttons ();
			Install_Form_Close ();
		break;
		/* Final Installation */
		case INST_INSTALL:
			$DB_Hostname=$_REQUEST['DB_Hostname'];
			$DB_Username=$_REQUEST['DB_Username'];
			$DB_Password=$_REQUEST['DB_Password'];
			$DB_Database=$_REQUEST['DB_Database'];
			$TB_Prefix=$_REQUEST['TB_Prefix'];
			$TB_Layout=$_REQUEST['TB_Layout'];
			$TB_Users=$_REQUEST['TB_Users'];
			$TB_Groups=$_REQUEST['TB_Groups'];
			$TB_Docs=$_REQUEST['TB_Docs'];
			$Language=$_REQUEST['Language'];
			$Charset=$_REQUEST['Charset'];
			$Date_Format=$_REQUEST['Date_Format'];
			$Time_Format=$_REQUEST['Time_Format'];
			$Mail_Handler=$_REQUEST['Mail_Handler'];
			$Mail_SMTP=$_REQUEST['Mail_SMTP'];
			$Editor=$_REQUEST['Editor'];
			$Install_Type=$_REQUEST['Install_Type'];
			// Validate Install Settings
			$Install_Errors = Array ();
			$Install_Warnings = Array ();
			if(empty($DB_Hostname))
				{array_push($Install_Errors,'No database hostname specified.');}
			if(empty($DB_Database))
				{array_push($Install_Errors,'No database name specified.');}
			if(empty($TB_Layout))
				{array_push($Install_Errors,'No database table for Layout specified.');}
			if(empty($TB_Users))
				{array_push($Install_Errors,'No database table for Users specified.');}
			if(empty($TB_Groups))
				{array_push($Install_Errors,'No database table for Groups specified.');}
			if(empty($TB_Docs))
				{array_push($Install_Errors,'No database table for Docs specified.');}
			if(empty($Language))
				{
				$Language = 'US_ENGLISH';
				array_push($Install_Warnings,'No language specified, defaulting to US_ENGLISH');
				}
			if(empty($Charset))
				{
				$Charset = 'ISO-8859-1';
				array_push($Install_Warnings,'No charachter set specified, defaulting to ISO-8859-1');
				}
			if(empty($Date_Format))
				{
				$Date_Format = 'm/d/Y';
				array_push($Install_Warnings,'No date format specified, defaulting to m/d/Y');
				}
			if(empty($Time_Format))
				{
				$Time_Format = 'm/d/Y';
				array_push($Install_Warnings,'No time format specified, defaulting to h:i:s');
				}
			if(empty($Editor))
				{
				$Editor = 'htmlarea';
				array_push($Install_Warnings,'No WYSIWYG editor specified, defaulting to htmlarea');
				}
			if(empty($Mail_Handler))
				{
				$Mail_Handler = 'Linux';
				array_push($Install_Warnings,'No mail handler specified, defaulting to Sendmail (Linux)');
				}
			if($Mail_Handler=='Win32')
				{
				if(empty($TB_Docs))
					{array_push($Install_Errors,'No SMTP address specified when using Win32 as the mail handler.');}
				}
			if(empty($Install_Type))
				{array_push($Install_Errors,'No installation type specified.');}
			$Install = 1;// Install Flag
			// Handle Critical Install Errors
			if(count($Install_Errors)>0)
				{
				echo "<font size=\"5\" color=\"#3366CC\">Error</font><br />\n";
				echo "<p>The installer encountered the following errors:</p>\n";
				for($i=0;$i<count($Install_Errors);$i++){echo $Install_Errors[$i]."<br />\n";}
				$Install = 0;
				}
			// Handle Warnings
			if(count($Install_Warnings)>0)
				{
				echo "<font size=\"5\" color=\"#3366CC\">Warning !</font><br />\n";
				echo "<p>The installer was issued the following warnings:</p>\n";
				for($i=0;$i<count($Install_Warnings);$i++){echo $Install_Warnings[$i]."<br />\n";}
				}
			// Create database table names
			$Table_Layout = $TB_Prefix.$TB_Layout;
			$Table_Users = $TB_Prefix.$TB_Users;
			$Table_Groups = $TB_Prefix.$TB_Groups;
			$Table_Docs = $TB_Prefix.$TB_Docs;
			// Perform the installation
			if($Install == 1)
				{
				if($Install_Type == 'NORMAL')
					{
					// Connect to Database
					$link = mysql_connect ($DB_Hostname,$DB_Username,$DB_Password)or die ("INSTALL ERROR ".mysql_error());
					mysql_select_db($DB_Database,$link)or die ("INSTALL ERROR ".mysql_error());
					// Get Existing Table Names //
					$Table_Names=Array();
					$result = mysql_list_tables ($DB_Database);
					$i = 0;
					while ($i < mysql_num_rows ($result))
						{
						$Table_Names[$i] = mysql_tablename ($result, $i);
						$i++;
						}
					// Drop Tables If Needed //
					if(in_array($Table_Layout,$Table_Names))
						{@mysql_query("drop table ".$Table_Layout." ",$link)or die ("INSTALL ERROR ".mysql_error());}
					if(in_array($Table_Users,$Table_Names))
						{@mysql_query("drop table ".$Table_Users." ",$link)or die ("INSTALL ERROR ".mysql_error());}
					if(in_array($Table_Groups,$Table_Names))
						{@mysql_query("drop table ".$Table_Groups." ",$link)or die ("INSTALL ERROR ".mysql_error());}
					if(in_array($Table_Docs,$Table_Names))
						{@mysql_query("drop table ".$Table_Docs." ",$link)or die ("INSTALL ERROR ".mysql_error());}

					// Create System Database Tables //
					mysql_query("create table ".$Table_Layout." (  skin varchar(50) default NULL,  use_header int(1) default '1',  header text,  use_footer int(1) default '1',  footer text)",$link)or die ("INSTALL ERROR CREATING LAYOUT".mysql_error());

					mysql_query("create table ".$Table_Users." (id int(11) NOT NULL auto_increment,  group_id int(11) default NULL,  added_date int(11) default NULL,  modified_date int(11) default NULL,  realname varchar(50) default NULL,  username varchar(50) default NULL,  password varchar(50) default NULL,  UNIQUE KEY id (id))",$link)or die ("INSTALL ERROR CREATING USERS".mysql_error());

					mysql_query("create table ".$Table_Groups." (  id int(11) NOT NULL auto_increment,  added_date int(11) default NULL,  modified_date int(11) default NULL,  groupname varchar(50) default NULL,  allow_users int(1) default '0',  allow_groups int(1) default '0',  allow_layout int(1) default '0',  allow_skins int(1) default '0',  allow_docs int(1) default '0',  allow_order int(1) default '0',  allow_files int(1) default '0',  allow_mods int(1) default '0',  UNIQUE KEY id (id))",$link)or die ("INSTALL ERROR CREATING GROUPS".mysql_error());

					mysql_query("create table ".$Table_Docs." (id int(11) NOT NULL auto_increment,  parent_id int(11) default '0',  is_active int(1) default '1',  nav_order int(11) default NULL,  added_date int(11) default NULL,  added_user int(11) default NULL,  modified_date int(11) default NULL,  modified_user int(11) default NULL,  link_text varchar(100) default NULL,  meta_title text,  meta_keywords text,  meta_description text,  content text,  module varchar(100) default NULL,  UNIQUE KEY id (id))",$link)or die ("INSTALL ERROR CREATING DOCS".mysql_error());

					// Insert Default Data //
					mysql_query("insert into ".$Table_Layout." (skin,use_header,use_footer) values ('Default','1','1')",$link)or die ("INSTALL ERROR ADDING LAYOUT".mysql_error());

					mysql_query("insert into ".$Table_Users." (group_id,added_date,modified_date,realname,username,password) values ('1','".strtotime(date("m/d/Y"))."','".strtotime(date("m/d/Y"))."','Administrator','admin','seNYhC60H6.5s')",$link)or die ("INSTALL ERROR ADDING USERS".mysql_error());

					mysql_query("insert into ".$Table_Groups." (added_date,modified_date,groupname,allow_users,allow_groups,allow_layout,allow_skins,allow_docs,allow_order,allow_files,allow_mods) values ('".strtotime(date("m/d/Y"))."','".strtotime(date("m/d/Y"))."','Administrators','1','1','1','1','1','1','1','1')",$link)or die ("INSTALL ERROR ADDING GROUPS".mysql_error());

					mysql_query("insert into ".$Table_Docs." (parent_id,is_active,nav_order,added_date,added_user,modified_date,modified_user,link_text) values ('0','1','0','".strtotime(date("m/d/Y"))."','1','".strtotime(date("m/d/Y"))."','1','Default Page')",$link)or die ("INSTALL ERROR ADDING DOCS".mysql_error());
					}

			// set admin/ directory to writable permission level
			@chmod("../",0777);

			// set files/ directory to writable permission level
			@chmod("../../files",0777);

			// set logs/ directory to writable permission level
			@chmod("../../logs",0777);

			// Verify Directory Permissions //
			if(!is_writable("../../files/")){die("INSTALL ERROR - files/ directory must have write permissions");
			Install_Form_Rollback ();
			}
			if(!is_writable("../")){die("INSTALL ERROR - admin/ directory must have write permissions");
			Install_Form_Rollback ();
			}
			if(!is_writable("../logs/")){die("INSTALL ERROR - logs/ directory must have write permissions");
			Install_Form_Rollback ();
			}

			// Build Configuration File //
			$basefile="<"."?php \n /* Automatically Generated by the iWare Installation Script on ".date($Date_Format)." */ \n define(\"IWARE_VERSION\",\"".INSTALL_VERSION."\"); \n define(\"IWARE_LANGUAGE\",\"".$Language."\");  \n define(\"IWARE_CHARSET\",\"".$Charset."\");\n define(\"DATE_FORMAT\",\"".$Date_Format."\"); \n define(\"TIME_FORMAT\",\"".$Time_Format."\"); \n define(\"EDITOR_VERSION\",\"".$Editor."\");\n define(\"MAIL_HANDLER\",\"".$Mail_Handler."\");\n define(\"MAIL_SMTP\",\"".$Mail_SMTP."\");\n  define(\"IWARE_HOSTNAME\",\"".$DB_Hostname."\"); \n define(\"IWARE_USERNAME\",\"".$DB_Username."\"); \n define(\"IWARE_PASSWORD\",\"".$DB_Password."\"); \n define(\"IWARE_DATABASE\",\"".$DB_Database."\"); \n define(\"TABLE_USERS\",\"".$Table_Users."\"); \n define(\"TABLE_GROUPS\",\"".$Table_Groups."\"); \n define(\"TABLE_DOCS\",\"".$Table_Docs."\"); \n  define(\"TABLE_LAYOUT\",\"".$Table_Layout."\"); \n define(\"TABLE_PREFIX\",\"".$TB_Prefix."\"); \n?".">";

			// Write Configuration File //
			$fp=@fopen("../config.php","w") or die("INSTALL ERROR - CANNOT CREATE CONFIGURATION FILE");
			@fwrite($fp,$basefile) or die("INSTALL ERROR - CANNOT WRITE TO CONFIGURATION FILE");
			@fclose($fp);

			// set admin/ directory to safer permission level
			@chmod("../",0755);

			// Verify Installation
			$Install_PostErrors = Array ();
			$Table_Names = Array();
			$result = mysql_list_tables ($DB_Database);
			$i = 0;
			while ($i < mysql_num_rows ($result))
				{
				$Table_Names[$i] = mysql_tablename ($result, $i);
				$i++;
				}
			if(!in_array($Table_Layout,$Table_Names))
				{array_push($Install_PostErrors,'Layout table: '.$Table_Layout.' does not exist.');}
			if(!in_array($Table_Users,$Table_Names))
				{array_push($Install_PostErrors,'Users table: '.$Table_Users.' does not exist.');}
			if(!in_array($Table_Groups,$Table_Names))
				{array_push($Install_PostErrors,'Groups table: '.$Table_Groups.' does not exist.');}
			if(!in_array($Table_Docs,$Table_Names))
				{array_push($Install_PostErrors,'Docs table: '.$Table_Docs.' does not exist.');}
			if(!file_exists('../config.php'))
				{array_push($Install_PostErrors,'Configuration file was not created during the install process.');}
			if(count($Install_PostErrors)>0)
				{
				echo "<font size=\"5\" color=\"#3366CC\">Error</font><br />\n";
				echo "<p>Some problems were reported during the installation:</p>\n";
				for($i=0;$i<count($Install_PostErrors);$i++){echo $Install_PostErrors[$i]."<br />\n";}
				}
			else
				{
				echo "<form method=\"post\" action=\"../index.php\">\n";
				echo "<b>Installation Completed</b><br />You are now ready to start using iWare Professional. Once you click the \"Next\" button you can login to the control panel with the default username and password \"<b>admin</b>\" and \"<b>setup</b>\".<br/><br />\n";
				Install_Form_Buttons ();
				Install_Form_Close ();
				}
			}
		break;
		}
?>
</td>
</tr>
</table>
</center>
</body>
</html>